### Method

# Gdk TextureDownloader download_bytes_with_planes

since: 4.20

#### Declaration [src]

    GBytes*
    gdk_texture_downloader_download_bytes_with_planes (
      const GdkTextureDownloader* self,
      gsize* out_offsets,
      gsize* out_strides
    )

#### Description [src]

Downloads the given texture pixels into a `GBytes`. The offsets and strides of the resulting buffer will be stored in the respective values.

If the format does have less than 4 planes, the remaining offsets and strides will be set to `0`.

Available since: 4.20

#### Parameters

`out_offsets`

  Type: An array of `gsize`

  The offsets of the resulting data planes in bytes.

  The argument will be set by the function.
  The array must have 4 elements.
  The returned data is owned by the instance.

`out_strides`

  Type: An array of `gsize`

  The stride of the resulting data planes in bytes.

  The argument will be set by the function.
  The array must have 4 elements.
  The returned data is owned by the instance.

#### Return value

Type: `GBytes`

The downloaded pixels.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.